MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025065Open CASCADE[OCCT] OCCT:Testspublic2014-07-09 17:322014-11-11 12:58
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025065: Regressions in test cases on Windows compiled with vc10
DescriptionThere are following regressions on occt and products masters compiled with vc10:

Windows vc10 win32 Release and Debug:

** Exception ** 7485C748 : Standard_NumericError: FLT MULTIPLE TRAPS (possible overflow in conversion of double to integer)
bugs modalg_2 bug22641 bug22801 bug23160
bugs modalg_4 bug6725 bug8370
bugs moddata_1 bug54
bugs step bug348_3
mesh standard_shading B9 D5 E2 F4 G5 G8 J7 N1 N6 R2 U1 U6 U7 W4 W8
mesh advanced_shading A1 C2

Windows vc10 win64 Release:

-------//--------- (same cases with FLT MULTIPLE TRAPS)
bugs modalg_5 bug24037_1 (An exception was caught 000007FEEF5C1610 : Standard_DivideByZero: FLT DIVIDE BY ZERO)
bugs modalg_5 bug24037_2 (Child process exited abnormally)
bugs mesh bug23512_2 (Child process exited abnormally)

Products Windows vc10:
An exception was caught 7485C748 : Standard_NumericError: FLT MULTIPLE TRAPS (possible overflow in conversion of double to integer)
parasolid read C1 C3 C5 D5
sat read C3 C6 E4 E8
sat read_parallel E4 E8
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024589closedbugmaster Draw Harness - disable floating-point exceptions by default 

-  Notes
(0030679)
aml (developer)
2014-08-12 14:27

Dear abv,

No one of test cases regressions reproduced both in x32 and x64 (MSVS2010) on current master (2014-08-07)
(0030680)
abv (manager)
2014-08-12 14:30

Igor, please confirm and close the issue as "nothing to fix"
(0030688)
bugmaster (administrator)
2014-08-12 17:45

with 32bit all are OK.

but 64 bit a lot of Exception like

http://jenkins-test-03.nnov.opencascade.com:8080/user/inv/my-views/view/Master%20testing%20Windows/job/mnt-master-master_occt_tests_windows_start_64/ [^]

vdisplay s
An exception was caught 000007FEF2152D08 : Standard_NumericError: FLT INVALID OPERATION
** Exception ** 000007FEF2152D08 : Standard_NumericError: FLT INVALID OPERATION
Tcl Exception: ** Exception ** 000007FEF2152D08 : Standard_NumericError: FLT INVALID OPERATION
(0030704)
abv (manager)
2014-08-13 10:27

I guess this problem can be related to use of Mesa Open GL on test machines, and can probably be eliminated by change made in 0024589. Could you please re-run tests on branch CR24589 in this configuration?
(0030726)
bugmaster (administrator)
2014-08-13 17:17
edited on: 2014-08-13 17:17

With Mesa mesa-10.0.0-mingw-64 results on bugs group much better but the several
problems :
1. Stack Overflow...
2. child process exited abnormally
3. An exception was caught 000007FEF61A1688 : Standard_DivideByZero: FLT DIVIDE BY ZERO
** Exception ** 000007FEF61A1688 : Standard_DivideByZero: FLT DIVIDE BY ZERO
Tcl Exception: ** Exception ** 000007FEF61A1688 : Standard_DivideByZero: FLT DIVIDE BY ZERO

On 24589 with Mesa mesa-10.0.0-mingw-64 results is good. See
http://occt-tests/CR24589-occt-bugs-64/summary.html [^]

(0032178)
abv (manager)
2014-09-26 06:12

Please check with updated Mesa on the current master after integration of 0024589
(0032227)
bugmaster (administrator)
2014-09-26 14:02

Problems are not reproduced on current IR-2014-09-25

- Issue History
Date Modified Username Field Change
2014-07-09 17:32 apn New Issue
2014-07-09 17:32 apn Assigned To => abv
2014-07-09 17:33 apn Status new => assigned
2014-07-09 17:33 apn Summary Regressions in test cases on Windows with vc10 => Regressions in test cases on Windows compiled with vc10
2014-07-09 17:47 apn Assigned To abv => apn
2014-07-09 18:12 apn Assigned To apn => abv
2014-08-11 09:50 abv Assigned To abv => aml
2014-08-12 14:27 aml Note Added: 0030679
2014-08-12 14:27 aml Assigned To aml => abv
2014-08-12 14:27 aml Status assigned => feedback
2014-08-12 14:29 abv Assigned To abv => bugmaster
2014-08-12 14:30 abv Note Added: 0030680
2014-08-12 17:45 bugmaster Note Added: 0030688
2014-08-12 17:45 bugmaster Assigned To bugmaster => abv
2014-08-12 17:45 bugmaster Status feedback => assigned
2014-08-13 10:26 abv Relationship added related to 0024589
2014-08-13 10:27 abv Note Added: 0030704
2014-08-13 10:28 abv Assigned To abv => bugmaster
2014-08-13 10:28 abv Status assigned => feedback
2014-08-13 17:17 bugmaster Note Added: 0030726
2014-08-13 17:17 bugmaster Note Edited: 0030726 View Revisions
2014-08-14 09:47 bugmaster Assigned To bugmaster => abv
2014-09-26 06:12 abv Note Added: 0032178
2014-09-26 08:43 abv Assigned To abv => bugmaster
2014-09-26 14:02 bugmaster Note Added: 0032227
2014-09-26 14:02 bugmaster Status feedback => tested
2014-09-26 14:02 bugmaster Status tested => verified
2014-09-26 14:02 bugmaster Resolution open => fixed
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker